How to get a release candidate tarball in /tmp:

  ver=2.2.1
  cd /tmp
  svn export svn://repo.hu/pcb-rnd/trunk pcb-rnd-$ver
  tar -cf pcb-rnd-$ver.tar pcb-rnd-$ver

Packaging changes between 2.2.1 and 2.2.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
A. changes that probably don't need action

1. plugin removed: import_sch from package pcb-rnd-import-net

2. plugin removed: distaligntext from package pcb-rnd-extra

3. plugin removed: drc_orig from package core

B. changes that probably DO need action

1. as always, the ./configure line has changed for plugin changes, see packages.html

2. the description of pcb-rnd has changed, please copy it from description.txt

3. new plugin: irc in package pcb-rnd-lib-gui

4. new plugins: lib_formula and lib_portynet in package pcb-rnd-core

5. new plugin: io_bxl in pcb-rnd-io-alien

6. new util: pcb-rnd-svg; has an executable and a manual page in the install
   Should be in package pcb-rnd-export

6. new util: bxl2txt and txt2bxl; executable and manual pages
   Should be in package pcb-rnd-io-alien

Packaging changes between 2.2.0 and 2.2.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
A. changes that probably don't need action

1. New plugins in existing packages: the import_sch splitup & rewrite
   - import_gnetlist in pcb-rnd-import-net (imports running gnetlist)
   - import_net_action in pcb-rnd-import-net (imports by running an action script)
   - import_net_cmd in pcb-rnd-import-net (imports by running an arbitrary command, e.g. make)
   - import_sch2 in pcb-rnd-import-net (the rewrite of import_sch)
   - new config file: $C/import_gnetlist.conf

2. New plugins in existing packages
   - drc_query in pcb-rnd-core; new conf files: $C/drc_query.conf and $C/drc_orig.conf
   - tool_std in pcb-rnd-core

B. changes that probably DO need action

1. ./configure options changed (for the new plugins)

2. Renamed librnd2-dev to librnd-dev in the doc (Debian recommendation)
   Distributions are free to use either name; if there's no ditribution
   dictated preference, please use librnd-dev. Please note: the binary
   package, librnd2, still should have the '2' in its name.

3. Missing data files from pcb-rnd-core
   Previous versions missed a few data files, which are now all added in
   package pcb-rnd-core. Pleasre revise the installed files for pcb-rnd-core
   in your packaging. A short list of files affected:
   - default boards (default*.lht)
   - default font file (default_font)
   - pcblib (the footprint library)

4. Missing utilities from librnd-dev
   Please revise the file listing, puplug and gen_conf got added

5. The meta-package pcb-rnd should depend on import-net as it is
   used in the most common workflow


Packaging changes between 2.1.4 and 2.2.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
A. changes that probably don't need action

1. new plugins in existing packages:
   - millpath in package pcb-rnd-export
   - exto_std in package pcb-rnd-core
   - export_stl in package pcb-rnd-export-extra

2. sorted out files and dependencies of the librnd packages; please make
   sure librnd is packaged.

3. pcb-rnd-core has all plugins built-in, so they are not dynamically loaded;
   old versions of pacakges.html listed non-existing .so and .pup files for
   these plugins, new version does not.

B. changes that probably DO need action

1. if you had a workaround for the --as-needed linker problem, please
   disable it; the code should work fine with that flag since r28707.

2. ./configure options changed (for the new plugins)

3. please make sure pcb-rnd-cloud depends on wget

4. fixed a dependency list bug in the script that generates packages.html;
   this does not change dependencies, but it's best to double check these:
   - the following packages should depend on pcb-rnd-lib-io:
     pcb-rnd-import-net, pcb-rnd-auto, pcb-rnd-io-standard, pcb-rnd-io-alien,
   - pcb-rnd-lib-gtk and pcb-rnd-hid-lesstif depend on pcb-rnd-lib-gui
   - pcb-rnd-hid-gtk2-gdk and pcb-rnd-hid-gtk2-gl depend on pcb-rnd-lib-gtk

5. pcb-rnd-import-net should contain gsch2pcb-rnd related files
   (see packages.html)

6. written/updated/refined package description for: 
   pcb-rnd-lib-gl, pcb-rnd-lib-io, pcb-rnd-lib-gui, pcb-rnd-lib-gtk


Packaging changes between 2.1.3 and 2.1.4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

A. changes that probably don't need action

1. removed plugin lib_gtk_hid from pcb-rnd-hid-gtk

2. removed some non-packaged code that depended on cairo; at the moment
   pcb-rnd has no direct cairo dependency; if cairo creeped in as direct
   explicit dependency on any package, please remove it. (gtk2 may bring
   it in as indirect dependency)

B. changes that probably DO need action

1. copyright update: new minilib in src_3rd: libulzw (new author, BSD license)
   (In case you need to maintain a copyright file)

2. new plugins: import_pxm_gd import_pxm_pnm in package pcb-rnd-import-geo
   Note: import_pxm_gd depends on libgd so pcb-rnd-import-geo
   started to depend on libgd

3. utility fp2anim got removed and replaced by the new utility fp2preview;
   this affects the manual page file name too.

Packaging changes between 2.1.2 and 2.1.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
A. changes that probably don't need action

1. removed old menu files pcb-menu-lesstif.lht and pcb-menu-gtk.lht from
   the installation (used to install in $PREFIX/share/pcb-rnd)

2. new plugin in package pcb-rnd-export: export_excellon (split
   off from export_gerber)

3. new plugin in package pcb-rnd-lib-gui: lib_hid_pcbui (for the hidlib split)

4. new plugin in package pcb-rnd-core: act_read (new actions for accessing
   board data)

5. new plugin in package pcb-rnd-cloud: lib_wget (split off from fp_wget
   to be reused in the board ordering plugins later)


B. changes that probably DO need action

1. If you need to maintain a copyright file: there is a new piece of
   minilib included in the source now in src_3rd/fast89_poly2tri; it's
   distributed under a MIT license.


Packaging changes between 2.1.1 and 2.1.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
A. changes that probably don't need action

1. Fixed typo in the packages.html: pcb-rnd-hid-gtk2-dl -> pcb-rnd-hid-gtk2-gl

B. changes that probably DO need action

1. Fixed wording in the description of package pcb-rnd-io-alien:
   "PCB board" -> "PCB layout" (to avoid redundancy with the acrynom)
   Please adjust the description of your package.


Packaging changes between 2.1.0 and 2.1.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

A. changes that probably don't need action

1. new plugins in already existing packages (new files in existing packages, ./configure line change):
	- import_calay plugin in pcb-rnd-import-net
	- drc_orig plugin in pcb-rnd-core (old DRC code moved from core code to plugin code)
	- export_oldconn plugin in pcb-rnd-export-extra (old connection export moved out from core to plugin)

2. plugins removed (but parent packages are kept, ./configure line change):
	- boardflip plugin (was in pcb-rnd-core)
	- lib_gtk_config (was in pcb-rnd-lib-gtk) - old gtk-only preferences dialog removed in favor of the new

3. bugs that got fixed in packages.html
	- cam.conf was not listed as installed file for pcb-rnd-export

B. changes that probably DO need action

1. minor changes in package deps:
	- pcb-rnd-hid-gtk2-gl doesn't directly depend on pcb-rnd-lib-gui
	- pcb-rnd-hid-gtk2-gdk doesn't directly depend on pcb-rnd-lib-gui
	- pcb-rnd-io-standard started to depend on pcb-rnd-lib-io

2. new files introduced by already existing plugins
	- $C/dialogs.conf in pcb-rnd-lib-gui

3. please update your ./configure line because it has changed for
   plugin removals and new plugins. You can obtain a diff by looking
   at the bottom of:   svn diff -c 22941 packages.html



Packaging changes between 2.0.1 and 2.1.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

A. changes that probably don't need action

1. FYI, the html now contains a more complete installed file listing: not
just the .so and .pup files but also the per plugin .conf files.
Installed files got a path prefix $P/ or $C/ depending on where they end
up (plugin dir or conf dir) after the installation.

2. New plugin: ar_cpcb (in pcb-rnd-auto); this is our new interface for
external autorouter c-pcb. c-pcb doesn't seem to have standard installation
yet, so packaging it would be hard. If there's interest, in packaging
c-pcb, I can try to push for a make install.

3. Scripting and fungw: by now fungw scripting is at least as capable
as gpmi scripting is. I will remove gpmi in December. However, for
packaged pcb-rnd scripting is not yet available because fungw is not
yet packaged. If you plan to make pcb-rnd scriptable in your distro,
you will need to package libmawk and fungw first - please contact me.
(Packaging those don't need to be in sync with pcb-rnd releases, can
happen any time). For more details see:
http://repo.hu/cgi-bin/pool.cgi?cmd=show&node=script_pkg

4. New io plugin: io_dsn, in pcb-rnd-io-alien; it can load a full board
from dsn, which is a de-facto industrial standard for autorouting.

5. New mini-plugin: act_draw in pcb-rnd-core; it implements actions to
low level drawing (exposes pcb-rnd's native drawing functions)

6. New GUI plugin asm in pcb-rnd-auto; it's a feature that helps manually
building a board by preseting the BoM in a grouped, sorted list, keeping
track on what's put on the board already and highlighting what needs to be
put on next. It has a high eye-candy factor, may look good in the screenshots.


B. changes that probably DO need action

7. We have removed our nelma support; please make sure you remove them
from any documentation/metadata/material.

8. New, preliminary plugin in pcb-rnd-import-geo: ttf import; this makes
pcb-rnd-import-geo depend on libfreetype6

9. Package pcb-rnd-auto started to depend on package pcb-rnd-io
(because of external autorouters like ar_cpcb)
